%{?nodejs_find_provides_and_requires}

Name:       nodejs-jsonstream
Version:    1.1.4
Release:    4%{?dist}.3
Summary:    Streaming JSON.parse and stringify for Node.js
License:    MIT or ASL 2.0
Group:      System Environment/Libraries
URL:        http://github.com/dominictarr/JSONStream
Source:     http://registry.npmjs.org/JSONStream/-/JSONStream-%{version}.tgz



BuildArch:  noarch

BuildRequires:  nodejs-packaging


%description
Streaming JSON.parse and stringify for Node.js


%prep
%setup -q -n package
%setup -T -D  -q -n package
%nodejs_fixdep jsonparse '^1.0.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/JSONStream
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/JSONStream


%files
%doc readme.markdown LICENSE.MIT LICENSE.APACHE2 examples/
%{nodejs_sitelib}/JSONStream


%changelog
* Tue Sep 20 2016 Oleg Girko <ol@infoserver.lv> - 1.1.4-1
- Update to 1.1.4
* Thu Feb  4 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Mon Dec  8 2014 Anish Patil <apatil@redhat.com> - 0.10.0-2
- Initial package and incorporated package review comments
* Mon Dec  8 2014 Anish Patil <apatil@redhat.com> - 0.10.0-1
- Initial package and incorporated package review comments
* Thu Apr 10 2014 Anish Patil <apatil@redhat.com> - 0.8.0-1
- initial package
